Jump to content

Need to Cloud all selected rectangles in single selection!


Recommended Posts

Posted

I need to cloud number of objects different lengths, can I get any program LISP to convert all objects (rectangles) into cloud in single selection with required arc length.

Advance thanks

amr

Posted

Here it goes ......

 

(defun c:Test (/ ss l)
 ; Tharwat 28. 04. 2011
 (if (and
       (setq ss
              (ssget "_:L" '((0 . "LWPOLYLINE"))))
       (setq l
              (getdist "\n Specify Arc Length :"))
     )
   (
    (lambda (i / ss1)
      (while
        (setq ss1 (ssname ss (setq i (1+ i))))
         (command "_.revcloud" "_a" l "" "" ss1 "_No")
      )
    )
     -1
   )
   (princ "\n No LWPolyline(s) selected")
 )
 (princ)
)

 

TharwaT

Posted

Be careful not specify the Arc Length longer than Rectangles it self .:)

TharwaT

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...